> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns referral statistics for given referral code



## OpenAPI

````yaml /dln-details/swagger/monitoring.json get /api/ReferralProgram/{referralCode}/summary
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/ReferralProgram/{referralCode}/summary:
    get:
      tags:
        - ReferralProgram
      summary: Returns referral statistics for given referral code
      operationId: ReferralProgram_GetReferralStatistics
      parameters:
        - name: referralCode
          in: path
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReferralStatisticsDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidInputDataResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    ReferralStatisticsDTO:
      type: object
      properties:
        referralCode:
          maximum: 4294967295
          minimum: 1
          type: integer
          description: Referral code user used to invite other users
          format: int32
        totalUsers:
          maximum: 2147483647
          minimum: 0
          type: integer
          description: >-
            Total number of users, that used the ReferralCode at least once in
            their transactions
          format: int32
        totalOrdersFulfilled:
          maximum: 2147483647
          minimum: 0
          type: integer
          description: >-
            Number of fulfilled orders that used the ReferralCode in order
            creation transaction
          format: int32
        totalAmountGivenUsd:
          type: number
          description: >-
            Total Give amount USD equivalent of all orders that used the
            ReferralCode
          format: double
        totalFeesGeneratedUsd:
          type: number
          description: >-
            Total amount (USD equivalent) of fees generated  by orders that used
            the ReferralCode
          format: double
      additionalProperties: false
    InvalidInputDataResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 400
          format: int32
      additionalProperties: false
      description: Information about bad input params
    InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 500
          format: int32
      additionalProperties: false
      description: Information about an internal server error

````